/**
  	Applet MathGraph32 Java. Software for animating dynamic mathematics figures on web pages
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


package types;
/*
 * ErreurCalculException.java
 *
 * Created on 1 juillet 2004, 21:06
 */

/**
 *
 * @author  Yves
 * @version 
 */
@SuppressWarnings("serial")
public class ErreurCalculException extends Exception {
	public boolean depassementCapacite = false;

  /** Creates new ErreurCalculException */
  public ErreurCalculException() {
  	depassementCapacite = false;
  }
  
  public ErreurCalculException(boolean bdepCap) {
  	depassementCapacite = bdepCap;
  }
  
  public ErreurCalculException(String msg) {
    super(msg);
    depassementCapacite = false;
  }
}
