/**
  	Applet MathGraph32 Java. Software for animating dynamic mathematics figures on web pages
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package outils;

import dialogs.HistoriqueDlg;
import Applet.AppletMathGraph32;

/**
 *
 * @author Yves
 */
public class OutilHistorique extends Outil {
  public OutilHistorique(AppletMathGraph32 appletMereInit) {
    super(appletMereInit, true, AppletMathGraph32.iconHistorique);
  }
  
  public String toolTip() {
    return getString("toolTip32");
  }
  
  public void select() {
    super.select();
    appletMere.indication("");
    HistoriqueDlg histdlg = appletMere.historiqueDlg;
    histdlg.reset();
    appletMere.historiqueEnCours = true;
    appletMere.outilPointageActif = appletMere.outilPointageHistorique;
    appletMere.repaint();
    
    // Spcial applet : il se peut que la partie basse de l'applet ne soit pas visible
    /*
    Point pt = appletMere.getLocationOnScreen();
    int height = appletMere.getHeight();
  	Insets insets = histdlg.getInsets();
  	histdlg.setLocation(pt.x + insets.left, pt.y + height - histdlg.getHeight() - insets.bottom);
  	histdlg.setVisible(true);
  	*/
    histdlg.setLocationRelativeTo(null);
    histdlg.setVisible(true);
  }
}
